Apache fixed a source code disclosure flaw in Apache HTTP Server
2024-7-8 01:20:15 Author: securityaffairs.com(查看原文) 阅读量:14 收藏

Apache fixed a source code disclosure flaw in Apache HTTP Server

The Apache Foundation addressed a critical source code disclosure vulnerability, tracked as CVE-2024-39884, in the HTTP Server.

The Apache Software Foundation has addressed multiple vulnerabilities in its popular Apache HTTP Server. The vulnerabilities include denial-of-service (DoS), remote code execution, and unauthorized access issues.

One of these vulnerabilities is a critical source code disclosure vulnerability tracked as CVE-2024-39884.

“A regression in the core of Apache HTTP Server 2.4.60 ignores some use of the legacy content-type based configuration of handlers.” reads the advisory. “”AddType” and similar configuration, under some circumstances where files are requested indirectly, result in source code disclosure of local content. For example, PHP scripts may be served instead of interpreted.”

The CVE-2024-39884 vulnerability is caused by a regression in the handling of legacy content-type configurations. When the “AddType” directive and similar settings are used under certain conditions, it can unintentionally expose the source code of files that are meant to be processed, such as server-side scripts and configuration files, potentially revealing sensitive data to attackers.

The Apache Foundation recommends users upgrade to version 2.4.61.

Apache HTTP Server

Pierluigi Paganini

Follow me on Twitter: @securityaffairs and Facebook and Mastodon

(SecurityAffairs – hacking, Apache)




文章来源: https://securityaffairs.com/165422/security/apache-source-code-disclosure-flaw-apache-http-server.html
如有侵权请联系:admin#unsafe.sh